# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 行业目录

### 查询行业目录列表

**请求URL:** certificate/industry/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询行业目录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;parentId|Long|父级id
&emsp;&emsp;industryName|String|行业名称
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看行业目录

**请求URL:** certificate/industry/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看行业目录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/certificate/industry/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;parentId|Long|父级id
&emsp;industryName|String|行业名称
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1958,
            "parentId":4813,
            "industryName":"ec10et",
            "createUserId":8488,
            "createTime":"2022-10-14",
            "updateUserId":2911,
            "updateTime":"2022-10-14"
        }
}
```

### 保存更新行业目录

**请求URL:** certificate/industry/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新行业目录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
parentId|Long|是|父级id
industryName|String|是|行业名称
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "parentId":6814,
    "industryName":"stp8da",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;parentId|Long|父级id
&emsp;&emsp;industryName|String|行业名称
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除行业目录

**请求URL:** certificate/industry/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除行业目录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/certificate/industry/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照分类

### 查询证照分类列表

**请求URL:** certificate/classify/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照分类

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;classifyName|String|分类名称
&emsp;&emsp;sort|Integer|排序号
&emsp;&emsp;total|Integer|打印次数
&emsp;&emsp;showFront|Integer|是否首页展示0：否1是
&emsp;&emsp;classifyType|Integer|证照类型，1：普通，2：正副本
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照分类

**请求URL:** certificate/classify/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照分类，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/certificate/classify/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;classifyName|String|分类名称
&emsp;sort|Integer|排序号
&emsp;total|Integer|打印次数
&emsp;showFront|Integer|是否首页展示0：否1是
&emsp;classifyType|Integer|证照类型，1：普通，2：正副本
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5530,
            "classifyName":"703nul",
            "sort":4710,
            "total":7396,
            "showFront":3661,
            "classifyType":6516,
            "createUserId":62,
            "createTime":"2022-10-14",
            "updateUserId":4515,
            "updateTime":"2022-10-14"
        }
}
```

### 保存更新证照分类

**请求URL:** certificate/classify/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照分类：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
classifyName|String|是|分类名称
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "classifyName":"195q87",
    "sort":6734,
    "total":9720,
    "showFront":1912,
    "classifyType":3543,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;classifyName|String|分类名称
&emsp;&emsp;sort|Integer|排序号
&emsp;&emsp;total|Integer|打印次数
&emsp;&emsp;showFront|Integer|是否首页展示0：否1是
&emsp;&emsp;classifyType|Integer|证照类型，1：普通，2：正副本
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照分类

**请求URL:** certificate/classify/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照分类

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/certificate/classify/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照目录

### 查询证照目录列表

**请求URL:** certificate/catalog/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照目录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;catalogCode|String|目录编号
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人；2：法人；3：自然人，法人
&emsp;&emsp;industryId|Long|所属行业
&emsp;&emsp;classifyId|Long|所属分类
&emsp;&emsp;transverse|Integer|横向尺寸(单位mm)
&emsp;&emsp;portrait|Integer|纵向尺寸(单位mm)
&emsp;&emsp;inspect|Integer|是否需要年检，0：否1：是
&emsp;&emsp;oriFileName|String|证照模板正本文件名称
&emsp;&emsp;originalUrl|String|证照模板正本文件地址
&emsp;&emsp;oriFormContent|String|证照模板正本表单内容
&emsp;&emsp;dupFileName|String|证照模板副本文件名称
&emsp;&emsp;duplicateUrl|String|证照模板副本文件地址
&emsp;&emsp;dupFormContent|String|证照模板副本表单内容
&emsp;&emsp;exampleUrl|String|证照示例图地址
&emsp;&emsp;status|Integer|证照状态，0：禁用1：启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照目录

**请求URL:** certificate/catalog/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照目录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/certificate/catalog/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;catalogName|String|目录名称
&emsp;catalogCode|String|目录编号
&emsp;holderType|Integer|持有者类型，1：自然人；2：法人；3：自然人，法人
&emsp;industryId|Long|所属行业
&emsp;classifyId|Long|所属分类
&emsp;transverse|Integer|横向尺寸(单位mm)
&emsp;portrait|Integer|纵向尺寸(单位mm)
&emsp;inspect|Integer|是否需要年检，0：否1：是
&emsp;oriFileName|String|证照模板正本文件名称
&emsp;originalUrl|String|证照模板正本文件地址
&emsp;oriFormContent|String|证照模板正本表单内容
&emsp;dupFileName|String|证照模板副本文件名称
&emsp;duplicateUrl|String|证照模板副本文件地址
&emsp;dupFormContent|String|证照模板副本表单内容
&emsp;exampleUrl|String|证照示例图地址
&emsp;status|Integer|证照状态，0：禁用1：启用
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6672,
            "catalogName":"tn0ocm",
            "catalogCode":"ck4h3r",
            "holderType":7336,
            "industryId":8422,
            "classifyId":885,
            "transverse":2507,
            "portrait":8544,
            "inspect":8716,
            "oriFileName":"1c7e64",
            "originalUrl":"gx4x4m",
            "oriFormContent":"zbon1g",
            "dupFileName":"5zupd6",
            "duplicateUrl":"i5z4qg",
            "dupFormContent":"7ypaqf",
            "exampleUrl":"wk1x7k",
            "status":4020,
            "createUserId":31,
            "createTime":"2022-10-14",
            "updateUserId":8897,
            "updateTime":"2022-10-14"
        }
}
```

### 保存更新证照目录

**请求URL:** certificate/catalog/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照目录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogName|String|是|目录名称
catalogCode|String|是|目录编号
holderType|Integer|是|持有者类型，1：自然人；2：法人；3：自然人，法人
industryId|Long|是|所属行业
classifyId|Long|是|所属分类
transverse|Integer|是|横向尺寸(单位mm)
portrait|Integer|是|纵向尺寸(单位mm)
inspect|Integer|是|是否需要年检，0：否1：是
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "catalogName":"0keu8j",
    "catalogCode":"ze4s5n",
    "holderType":4199,
    "industryId":7484,
    "classifyId":6098,
    "transverse":504,
    "portrait":9442,
    "inspect":340,
    "oriFileName":"xcj9om",
    "originalUrl":"fdujv4",
    "oriFormContent":"5bbmq3",
    "dupFileName":"o7cyq4",
    "duplicateUrl":"xzxsix",
    "dupFormContent":"ye4wm8",
    "exampleUrl":"mgv8im",
    "status":1567,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;catalogCode|String|目录编号
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人；2：法人；3：自然人，法人
&emsp;&emsp;industryId|Long|所属行业
&emsp;&emsp;classifyId|Long|所属分类
&emsp;&emsp;transverse|Integer|横向尺寸(单位mm)
&emsp;&emsp;portrait|Integer|纵向尺寸(单位mm)
&emsp;&emsp;inspect|Integer|是否需要年检，0：否1：是
&emsp;&emsp;oriFileName|String|证照模板正本文件名称
&emsp;&emsp;originalUrl|String|证照模板正本文件地址
&emsp;&emsp;oriFormContent|String|证照模板正本表单内容
&emsp;&emsp;dupFileName|String|证照模板副本文件名称
&emsp;&emsp;duplicateUrl|String|证照模板副本文件地址
&emsp;&emsp;dupFormContent|String|证照模板副本表单内容
&emsp;&emsp;exampleUrl|String|证照示例图地址
&emsp;&emsp;status|Integer|证照状态，0：禁用1：启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照目录

**请求URL:** certificate/catalog/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照目录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/certificate/catalog/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照柜设备

### 查询证照柜设备列表

**请求URL:** device/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照柜设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceType|Integer|设备类型1证照柜
&emsp;&emsp;deviceMac|String|Mac地址
&emsp;&emsp;deviceFirmname|String|设备厂商
&emsp;&emsp;ip|String|设备IP地址
&emsp;&emsp;port|String|端口号
&emsp;&emsp;resolution|String|设备分辨率
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;telephone|String|负责人电话
&emsp;&emsp;longitude|String|设备经度
&emsp;&emsp;latitude|String|设备纬度
&emsp;&emsp;building|Integer|所在楼宇
&emsp;&emsp;floor|Integer|所在楼层
&emsp;&emsp;managePWD|String|管理员密码
&emsp;&emsp;remark|String|备注
&emsp;&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照柜设备

**请求URL:** device/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照柜设备，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/device/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;deviceName|String|设备名称
&emsp;deviceCode|String|设备编码
&emsp;deviceType|Integer|设备类型1证照柜
&emsp;deviceMac|String|Mac地址
&emsp;deviceFirmname|String|设备厂商
&emsp;ip|String|设备IP地址
&emsp;port|String|端口号
&emsp;resolution|String|设备分辨率
&emsp;leadingOfficial|String|负责人
&emsp;telephone|String|负责人电话
&emsp;longitude|String|设备经度
&emsp;latitude|String|设备纬度
&emsp;building|Integer|所在楼宇
&emsp;floor|Integer|所在楼层
&emsp;managePWD|String|管理员密码
&emsp;remark|String|备注
&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5480,
            "deviceName":"2cp6a7",
            "deviceCode":"wirjj6",
            "deviceType":7879,
            "deviceMac":"wh455p",
            "deviceFirmname":"6eq60a",
            "ip":"iux9gd",
            "port":"k8fs88",
            "resolution":"rtxlgt",
            "leadingOfficial":"h2jsfw",
            "telephone":"dsesxa",
            "longitude":"tb0l8y",
            "latitude":"i1xzes",
            "building":1584,
            "floor":4320,
            "managePWD":"51pr4f",
            "remark":"rckqs1",
            "status":8877,
            "enabled":865,
            "createUserId":5775,
            "createTime":"2022-10-14",
            "updateUserId":7338,
            "updateTime":"2022-10-14"
        }
}
```

### 保存更新证照柜设备

**请求URL:** device/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照柜设备：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
deviceName|String|是|设备名称
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "deviceName":"n9l8ca",
    "deviceCode":"s408e5",
    "deviceType":4264,
    "deviceMac":"cwxbrj",
    "deviceFirmname":"rr4a10",
    "ip":"ivjnnr",
    "port":"noxbhn",
    "resolution":"jrivdw",
    "leadingOfficial":"melaoa",
    "telephone":"2c4idr",
    "longitude":"d6vt1x",
    "latitude":"1apomx",
    "building":6539,
    "floor":4333,
    "managePWD":"zr8s6w",
    "remark":"ettsc6",
    "status":714,
    "enabled":670,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceType|Integer|设备类型1证照柜
&emsp;&emsp;deviceMac|String|Mac地址
&emsp;&emsp;deviceFirmname|String|设备厂商
&emsp;&emsp;ip|String|设备IP地址
&emsp;&emsp;port|String|端口号
&emsp;&emsp;resolution|String|设备分辨率
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;telephone|String|负责人电话
&emsp;&emsp;longitude|String|设备经度
&emsp;&emsp;latitude|String|设备纬度
&emsp;&emsp;building|Integer|所在楼宇
&emsp;&emsp;floor|Integer|所在楼层
&emsp;&emsp;managePWD|String|管理员密码
&emsp;&emsp;remark|String|备注
&emsp;&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照柜设备

**请求URL:** device/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照柜设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/device/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照申请

### 查询证照申请列表

**请求URL:** apply/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照申请

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;originalUrl|String|正本附件地址
&emsp;&emsp;oriPreview|String|正本预览地址
&emsp;&emsp;oriFormContent|String|证照模板正本表单内容
&emsp;&emsp;oriFormTemplate|String|证照模板正本表单内容
&emsp;&emsp;duplicateUrl|String|副本附件地址
&emsp;&emsp;dupPreview|String|副本预览地址
&emsp;&emsp;dupFormContent|String|证照模板副本表单内容
&emsp;&emsp;dupFormTemplate|String|证照模板副本表单内容
&emsp;&emsp;generateStatus|Integer|生成状态0未生成1正本2副本3正副本
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照申请

**请求URL:** apply/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照申请，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/apply/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;catalogId|Long|证照目录ID
&emsp;certificateCode|String|证件编号
&emsp;certificateName|String|证件名称
&emsp;issueTime|Date|颁发时间
&emsp;pickerName|String|取件人姓名
&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;holderName|String|持有者名称
&emsp;holderIDCardNo|String|持有者证件号码
&emsp;enterpriseName|String|企业名称
&emsp;validityStart|Date|有效期起始
&emsp;validityEnd|Date|有效期截止
&emsp;privateID|String|专网ID
&emsp;originalUrl|String|正本附件地址
&emsp;oriPreview|String|正本预览地址
&emsp;oriFormContent|String|证照模板正本表单内容
&emsp;oriFormTemplate|String|证照模板正本表单内容
&emsp;duplicateUrl|String|副本附件地址
&emsp;dupPreview|String|副本预览地址
&emsp;dupFormContent|String|证照模板副本表单内容
&emsp;dupFormTemplate|String|证照模板副本表单内容
&emsp;generateStatus|Integer|生成状态0未生成1正本2副本3正副本
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":66,
            "catalogId":5739,
            "certificateCode":"zgflfl",
            "certificateName":"u5b0u0",
            "issueTime":"2022-10-22",
            "pickerName":"hz830a",
            "pickerIDCardNo":"u4moff",
            "holderType":5494,
            "holderIdType":4426,
            "holderName":"g01r71",
            "holderIDCardNo":"uw99m5",
            "enterpriseName":"b2x3hr",
            "validityStart":"2022-10-22",
            "validityEnd":"2022-10-22",
            "privateID":"zvtrfv",
            "originalUrl":"g0ftda",
            "oriPreview":"3ensip",
            "oriFormContent":"vsuqzh",
            "oriFormTemplate":"fdgvwo",
            "duplicateUrl":"5084vu",
            "dupPreview":"kpu0kj",
            "dupFormContent":"9gl844",
            "dupFormTemplate":"49xc7h",
            "generateStatus":1852,
            "createUserId":1381,
            "createTime":"2022-10-22",
            "updateUserId":2138,
            "updateTime":"2022-10-22"
        }
}
```

### 保存更新证照申请

**请求URL:** apply/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照申请：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogId|Long|否|目录Id
certificateCode|String|是|证件编号
certificateName|String|是|证件名称
issueTime|Date|是|颁发时间
pickerName|String|是|取件人姓名
pickerIDCardNo|String|是|取件人证件号码
holderType|Integer|是|持有者类型，1：自然人，2：法人，3：自然人法人
holderIdType|Integer|是|持有者证件类型，1：身份证，2：组织机构代码等
holderName|String|是|持有者名称
holderIDCardNo|String|是|持有者证件号码
enterpriseName|String|是|企业名称
validityStart|Date|是|有效期起始
validityEnd|Date|是|有效期截止
privateID|String|是|专网ID
oriFormContent|String|是|证照模板正本表单内容
dupFormContent|String|否|证照模板副本表单内容
oriFormTemplate|String|是|证照模板正本表单内容
dupFormTemplate|String|是|证照模板副本表单内容

**请求样例:**
```
{
    "catalogId": 1,
    "certificateCode": "cxuyh4",
    "certificateName": "卫生许可证",
    "issueTime": "2022-10-14 12:11:11",
    "pickerName": "张三",
    "pickerIDCardNo": "12345678",
    "holderType": 1,
    "holderIdType": 1,
    "holderName": "张三",
    "holderIDCardNo": "12334569086765",
    "enterpriseName": "成都壹糖文化传播有限公司",
    "validityStart": "2022-10-14 12:11:11",
    "validityEnd": "2022-10-14 12:11:11",
    "privateID": "f45vg6",
    "oriFormContent": "{'i_1_卫':'川','i_2_字':'2022', 'i_3_号':'10','i_4_单位名称':'成都壹糖文化传播有限公司','i_5_法定代表人':'廖至敬','i_6_地址':'成都市武侯区晋吉南路98号','i_7_许可项目':'奶油蛋糕、生日蛋糕、水果蛋糕、奶茶、鲜切水果','i_8_年始':'2021','i_9_月始':'01','i_10_日始':'01','i_11_年止':'2023','i_12_月止':'12','i_13_日止':'31','i_14_年':'2020','i_15_月':'12','i_16_日':'30'}",
    "oriFormTemplate":"xhqyv8",
    "dupFormContent":"ewgbh6",
    "dupFormTemplate":"06u2zv",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;originalUrl|String|正本附件地址
&emsp;&emsp;oriPreview|String|正本预览地址
&emsp;&emsp;oriFormContent|String|证照模板正本表单内容
&emsp;&emsp;oriFormTemplate|String|证照模板正本表单内容
&emsp;&emsp;duplicateUrl|String|副本附件地址
&emsp;&emsp;dupPreview|String|副本预览地址
&emsp;&emsp;dupFormContent|String|证照模板副本表单内容
&emsp;&emsp;dupFormTemplate|String|证照模板副本表单内容
&emsp;&emsp;generateStatus|Integer|生成状态0未生成1正本2副本3正副本
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
}

```

### 删除证照申请

**请求URL:** apply/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照申请

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/apply/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}
```

### 预览正本

**请求URL:** apply/log/preview/original

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 预览正本

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogId|Long|否|目录Id
certificateCode|String|是|证件编号
certificateName|String|是|证件名称
issueTime|Date|是|颁发时间
pickerName|String|是|取件人姓名
pickerIDCardNo|String|是|取件人证件号码
holderType|Integer|是|持有者类型，1：自然人，2：法人，3：自然人法人
holderIdType|Integer|是|持有者证件类型，1：身份证，2：组织机构代码等
holderName|String|是|持有者名称
holderIDCardNo|String|是|持有者证件号码
enterpriseName|String|是|企业名称
validityStart|Date|是|有效期起始
validityEnd|Date|是|有效期截止
privateID|String|是|专网ID
oriFormContent|String|是|证照模板正本表单内容
oriFormTemplate|String|是|证照模板正本表单内容

**请求样例:**
```
{
    "catalogId": 1,
    "certificateCode": "cxuyh4",
    "certificateName": "卫生许可证",
    "issueTime": "2022-10-14 12:11:11",
    "pickerName": "张三",
    "pickerIDCardNo": "12345678",
    "holderType": 1,
    "holderIdType": 1,
    "holderName": "张三",
    "holderIDCardNo": "12334569086765",
    "enterpriseName": "成都壹糖文化传播有限公司",
    "validityStart": "2022-10-14 12:11:11",
    "validityEnd": "2022-10-14 12:11:11",
    "privateID": "f45vg6",
    "oriFormContent": "{'i_1_卫':'川','i_2_字':'2022', 'i_3_号':'10','i_4_单位名称':'成都壹糖文化传播有限公司','i_5_法定代表人':'廖至敬','i_6_地址':'成都市武侯区晋吉南路98号','i_7_许可项目':'奶油蛋糕、生日蛋糕、水果蛋糕、奶茶、鲜切水果','i_8_年始':'2021','i_9_月始':'01','i_10_日始':'01','i_11_年止':'2023','i_12_月止':'12','i_13_日止':'31','i_14_年':'2020','i_15_月':'12','i_16_日':'30'}",
    "oriFormTemplate":"xhqyv8"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|目录ID
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;originalUrl|String|正本附件地址
&emsp;&emsp;oriFormContent|String|证照模板正本表单内容
&emsp;&emsp;duplicateUrl|String|副本附件地址
&emsp;&emsp;dupFormContent|String|证照模板副本表单内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"生成成功",
    "code":1,
    "data":{"preview":"preview/1234.jpg"}
}

```
### 预览副本

**请求URL:** apply/log/preview/duplicate

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 预览副本

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogId|Long|否|目录Id
certificateCode|String|是|证件编号
certificateName|String|是|证件名称
issueTime|Date|是|颁发时间
pickerName|String|是|取件人姓名
pickerIDCardNo|String|是|取件人证件号码
holderType|Integer|是|持有者类型，1：自然人，2：法人，3：自然人法人
holderIdType|Integer|是|持有者证件类型，1：身份证，2：组织机构代码等
holderName|String|是|持有者名称
holderIDCardNo|String|是|持有者证件号码
enterpriseName|String|是|企业名称
validityStart|Date|是|有效期起始
validityEnd|Date|是|有效期截止
privateID|String|是|专网ID
dupFormContent|String|否|证照模板副本表单内容
dupFormTemplate|String|是|证照模板副本表单内容

**请求样例:**
```
{
    "catalogId": 1,
    "certificateCode": "cxuyh4",
    "certificateName": "卫生许可证",
    "issueTime": "2022-10-14 12:11:11",
    "pickerName": "张三",
    "pickerIDCardNo": "12345678",
    "holderType": 1,
    "holderIdType": 1,
    "holderName": "张三",
    "holderIDCardNo": "12334569086765",
    "enterpriseName": "成都壹糖文化传播有限公司",
    "validityStart": "2022-10-14 12:11:11",
    "validityEnd": "2022-10-14 12:11:11",
    "privateID": "f45vg6",
    "dupFormContent": "{'i_1_卫':'川','i_2_字':'2022', 'i_3_号':'10','i_4_单位名称':'成都壹糖文化传播有限公司','i_5_法定代表人':'廖至敬','i_6_地址':'成都市武侯区晋吉南路98号','i_7_许可项目':'奶油蛋糕、生日蛋糕、水果蛋糕、奶茶、鲜切水果','i_8_年始':'2021','i_9_月始':'01','i_10_日始':'01','i_11_年止':'2023','i_12_月止':'12','i_13_日止':'31','i_14_年':'2020','i_15_月':'12','i_16_日':'30'}",
    "dupFormTemplate":"06u2zv",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|目录ID
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;originalUrl|String|正本附件地址
&emsp;&emsp;oriFormContent|String|证照模板正本表单内容
&emsp;&emsp;duplicateUrl|String|副本附件地址
&emsp;&emsp;dupFormContent|String|证照模板副本表单内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"生成成功",
    "code":1,
    "data":{"preview":"preview/1234.jpg"}
}

```

### 生成正本

**请求URL:** apply/log/generate/original

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 生成正本

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogId|Long|否|目录Id
certificateCode|String|是|证件编号
certificateName|String|是|证件名称
issueTime|Date|是|颁发时间
pickerName|String|是|取件人姓名
pickerIDCardNo|String|是|取件人证件号码
holderType|Integer|是|持有者类型，1：自然人，2：法人，3：自然人法人
holderIdType|Integer|是|持有者证件类型，1：身份证，2：组织机构代码等
holderName|String|是|持有者名称
holderIDCardNo|String|是|持有者证件号码
enterpriseName|String|是|企业名称
validityStart|Date|是|有效期起始
validityEnd|Date|是|有效期截止
privateID|String|是|专网ID
oriFormContent|String|是|证照模板正本表单内容
oriFormTemplate|String|是|证照模板正本表单内容

**请求样例:**
```
{
    "catalogId": 1,
    "certificateCode": "cxuyh4",
    "certificateName": "卫生许可证",
    "issueTime": "2022-10-14 12:11:11",
    "pickerName": "张三",
    "pickerIDCardNo": "12345678",
    "holderType": 1,
    "holderIdType": 1,
    "holderName": "张三",
    "holderIDCardNo": "12334569086765",
    "enterpriseName": "成都壹糖文化传播有限公司",
    "validityStart": "2022-10-14 12:11:11",
    "validityEnd": "2022-10-14 12:11:11",
    "privateID": "f45vg6",
    "oriFormContent": "{'i_1_卫':'川','i_2_字':'2022', 'i_3_号':'10','i_4_单位名称':'成都壹糖文化传播有限公司','i_5_法定代表人':'廖至敬','i_6_地址':'成都市武侯区晋吉南路98号','i_7_许可项目':'奶油蛋糕、生日蛋糕、水果蛋糕、奶茶、鲜切水果','i_8_年始':'2021','i_9_月始':'01','i_10_日始':'01','i_11_年止':'2023','i_12_月止':'12','i_13_日止':'31','i_14_年':'2020','i_15_月':'12','i_16_日':'30'}",
    "oriFormTemplate":"xhqyv8"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|目录ID
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;originalUrl|String|正本附件地址
&emsp;&emsp;oriFormContent|String|证照模板正本表单内容
&emsp;&emsp;duplicateUrl|String|副本附件地址
&emsp;&emsp;dupFormContent|String|证照模板副本表单内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"生成成功",
    "code":1,
    "data":{}
}

```

### 生成副本

**请求URL:** apply/log/generate/duplicate

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 生成副本

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogId|Long|否|目录Id
certificateCode|String|是|证件编号
certificateName|String|是|证件名称
issueTime|Date|是|颁发时间
pickerName|String|是|取件人姓名
pickerIDCardNo|String|是|取件人证件号码
holderType|Integer|是|持有者类型，1：自然人，2：法人，3：自然人法人
holderIdType|Integer|是|持有者证件类型，1：身份证，2：组织机构代码等
holderName|String|是|持有者名称
holderIDCardNo|String|是|持有者证件号码
enterpriseName|String|是|企业名称
validityStart|Date|是|有效期起始
validityEnd|Date|是|有效期截止
privateID|String|是|专网ID
dupFormContent|String|否|证照模板副本表单内容
dupFormTemplate|String|是|证照模板副本表单内容

**请求样例:**
```
{
    "catalogId": 1,
    "certificateCode": "cxuyh4",
    "certificateName": "卫生许可证",
    "issueTime": "2022-10-14 12:11:11",
    "pickerName": "张三",
    "pickerIDCardNo": "12345678",
    "holderType": 1,
    "holderIdType": 1,
    "holderName": "张三",
    "holderIDCardNo": "12334569086765",
    "enterpriseName": "成都壹糖文化传播有限公司",
    "validityStart": "2022-10-14 12:11:11",
    "validityEnd": "2022-10-14 12:11:11",
    "privateID": "f45vg6",
    "dupFormContent": "{'i_1_卫':'川','i_2_字':'2022', 'i_3_号':'10','i_4_单位名称':'成都壹糖文化传播有限公司','i_5_法定代表人':'廖至敬','i_6_地址':'成都市武侯区晋吉南路98号','i_7_许可项目':'奶油蛋糕、生日蛋糕、水果蛋糕、奶茶、鲜切水果','i_8_年始':'2021','i_9_月始':'01','i_10_日始':'01','i_11_年止':'2023','i_12_月止':'12','i_13_日止':'31','i_14_年':'2020','i_15_月':'12','i_16_日':'30'}",
    "dupFormTemplate":"06u2zv",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|目录ID
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;originalUrl|String|正本附件地址
&emsp;&emsp;oriFormContent|String|证照模板正本表单内容
&emsp;&emsp;duplicateUrl|String|副本附件地址
&emsp;&emsp;dupFormContent|String|证照模板副本表单内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"生成成功",
    "code":1,
    "data":{}
}

```

### 全部生成

**请求URL:** apply/log/generate/all

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 全部生成

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogId|Long|否|目录Id
certificateCode|String|是|证件编号
certificateName|String|是|证件名称
issueTime|Date|是|颁发时间
pickerName|String|是|取件人姓名
pickerIDCardNo|String|是|取件人证件号码
holderType|Integer|是|持有者类型，1：自然人，2：法人，3：自然人法人
holderIdType|Integer|是|持有者证件类型，1：身份证，2：组织机构代码等
holderName|String|是|持有者名称
holderIDCardNo|String|是|持有者证件号码
enterpriseName|String|是|企业名称
validityStart|Date|是|有效期起始
validityEnd|Date|是|有效期截止
privateID|String|是|专网ID
oriFormContent|String|是|证照模板正本表单内容
dupFormContent|String|否|证照模板副本表单内容
oriFormTemplate|String|是|证照模板正本表单内容
dupFormTemplate|String|是|证照模板副本表单内容

**请求样例:**
```
{
    "catalogId": 1,
    "certificateCode": "cxuyh4",
    "certificateName": "卫生许可证",
    "issueTime": "2022-10-14 12:11:11",
    "pickerName": "张三",
    "pickerIDCardNo": "12345678",
    "holderType": 1,
    "holderIdType": 1,
    "holderName": "张三",
    "holderIDCardNo": "12334569086765",
    "enterpriseName": "成都壹糖文化传播有限公司",
    "validityStart": "2022-10-14 12:11:11",
    "validityEnd": "2022-10-14 12:11:11",
    "privateID": "f45vg6",
    "oriFormContent": "{'i_1_卫':'川','i_2_字':'2022', 'i_3_号':'10','i_4_单位名称':'成都壹糖文化传播有限公司','i_5_法定代表人':'廖至敬','i_6_地址':'成都市武侯区晋吉南路98号','i_7_许可项目':'奶油蛋糕、生日蛋糕、水果蛋糕、奶茶、鲜切水果','i_8_年始':'2021','i_9_月始':'01','i_10_日始':'01','i_11_年止':'2023','i_12_月止':'12','i_13_日止':'31','i_14_年':'2020','i_15_月':'12','i_16_日':'30'}",
    "oriFormTemplate":"xhqyv8",
    "dupFormContent":"ewgbh6",
    "dupFormTemplate":"06u2zv",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|目录ID
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;originalUrl|String|正本附件地址
&emsp;&emsp;oriFormContent|String|证照模板正本表单内容
&emsp;&emsp;duplicateUrl|String|副本附件地址
&emsp;&emsp;dupFormContent|String|证照模板副本表单内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"生成成功",
    "code":1,
    "data":{}
}

```

## 证照持有

### 查询证照持有列表

**请求URL:** retain/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照持有

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;certificateName|String|证照名称
&emsp;&emsp;certificateCode|String|证照编号
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;holderName|String|持有者姓名
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;certificateStatus|Integer|证照状态，1正常2注销
&emsp;&emsp;originalCount|Integer|正本数
&emsp;&emsp;duplicateCount|Integer|副本数
&emsp;&emsp;originalUrl|String|正本附件地址
&emsp;&emsp;duplicateUrl|String|副本附件地址
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照持有

**请求URL:** retain/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照持有，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/retain/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;catalogCode|String|证照目录编号
&emsp;certificateName|String|证照名称
&emsp;certificateCode|String|证照编号
&emsp;enterpriseName|String|企业名称
&emsp;holderName|String|持有者姓名
&emsp;holderIDCardNo|String|持有者证件号码
&emsp;certificateStatus|Integer|证照状态，1正常2注销
&emsp;originalCount|Integer|正本数
&emsp;duplicateCount|Integer|副本数
&emsp;originalUrl|String|正本附件地址
&emsp;duplicateUrl|String|副本附件地址
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2864,
            "catalogCode":"u499zx",
            "certificateName":"o8h01o",
            "certificateCode":"l0aq2d",
            "enterpriseName":"pc5eco",
            "holderName":"vnk93s",
            "holderIDCardNo":"i0xik4",
            "certificateStatus":2357,
            "originalCount":8449,
            "duplicateCount":6947,
            "originalUrl":"e6sbfn",
            "duplicateUrl":"8ui00u",
            "createUserId":5121,
            "createTime":"2022-10-14",
            "updateUserId":7735,
            "updateTime":"2022-10-14"
        }
}
```

### 保存更新证照持有

**请求URL:** retain/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照持有：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogCode|String|是|证照目录编号
certificateName|String|是|证照名称
certificateCode|String|是|证照编号
enterpriseName|String|是|企业名称
holderName|String|是|持有者姓名
certificateStatus|Integer|是|证照状态，1正常2注销
originalCount|Integer|是|正本数
duplicateCount|Integer|是|副本数
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "catalogCode":"q40g7t",
    "certificateName":"uicqe9",
    "certificateCode":"rcyz0z",
    "enterpriseName":"mdk0ps",
    "holderName":"dc827t",
    "holderIDCardNo":"ja2u6c",
    "certificateStatus":8457,
    "originalCount":7325,
    "duplicateCount":1439,
    "originalUrl":"el6kdk",
    "duplicateUrl":"caqi3u",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;certificateName|String|证照名称
&emsp;&emsp;certificateCode|String|证照编号
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;holderName|String|持有者姓名
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;certificateStatus|Integer|证照状态，1正常2注销
&emsp;&emsp;originalCount|Integer|正本数
&emsp;&emsp;duplicateCount|Integer|副本数
&emsp;&emsp;originalUrl|String|正本附件地址
&emsp;&emsp;duplicateUrl|String|副本附件地址
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照持有

**请求URL:** retain/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照持有

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/retain/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照打印记录

### 查询证照打印记录列表

**请求URL:** print/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照打印记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;certificateName|String|证照名称
&emsp;&emsp;certificateCode|String|证照编号
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;holderName|String|持有者姓名
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;originalCount|Integer|正本数
&emsp;&emsp;duplicateCount|Integer|副本数
&emsp;&emsp;printStatus|Integer|打印状态1打印成功2失败
&emsp;&emsp;printDate|Date|打印时间
&emsp;&emsp;deviceId|Long|打印设备
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照打印记录

**请求URL:** print/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照打印记录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/print/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;catalogCode|String|证照目录编号
&emsp;certificateName|String|证照名称
&emsp;certificateCode|String|证照编号
&emsp;enterpriseName|String|企业名称
&emsp;holderName|String|持有者姓名
&emsp;holderIDCardNo|String|持有者证件号码
&emsp;pickerName|String|取件人姓名
&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;originalCount|Integer|正本数
&emsp;duplicateCount|Integer|副本数
&emsp;printStatus|Integer|打印状态1打印成功2失败
&emsp;printDate|Date|打印时间
&emsp;deviceId|Long|打印设备
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7330,
            "catalogCode":"y93jay",
            "certificateName":"ub93s1",
            "certificateCode":"zkio4h",
            "enterpriseName":"r5tyg1",
            "holderName":"z584oo",
            "holderIDCardNo":"8mwqzb",
            "pickerName":"8tobju",
            "pickerIDCardNo":"xzei4r",
            "originalCount":4568,
            "duplicateCount":8910,
            "printStatus":7012,
            "printDate":"2022-10-14",
            "deviceId":7526,
            "createUserId":4108,
            "createTime":"2022-10-14",
            "updateUserId":405,
            "updateTime":"2022-10-14"
        }
}
```

### 保存更新证照打印记录

**请求URL:** print/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照打印记录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogCode|String|是|证照目录编号
certificateName|String|是|证照名称
certificateCode|String|是|证照编号
enterpriseName|String|是|企业名称
holderName|String|是|持有者姓名
originalCount|Integer|是|正本数
duplicateCount|Integer|是|副本数
printStatus|Integer|是|打印状态1打印成功2失败
printDate|Date|是|打印时间
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "catalogCode":"wj31ez",
    "certificateName":"b876m0",
    "certificateCode":"kqiuy6",
    "enterpriseName":"deufmo",
    "holderName":"xs2dmm",
    "holderIDCardNo":"e5jer9",
    "pickerName":"ter5ps",
    "pickerIDCardNo":"e38my9",
    "originalCount":8570,
    "duplicateCount":7880,
    "printStatus":8295,
    "printDate":"2022-10-14",
    "deviceId":6290,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;certificateName|String|证照名称
&emsp;&emsp;certificateCode|String|证照编号
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;holderName|String|持有者姓名
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;originalCount|Integer|正本数
&emsp;&emsp;duplicateCount|Integer|副本数
&emsp;&emsp;printStatus|Integer|打印状态1打印成功2失败
&emsp;&emsp;printDate|Date|打印时间
&emsp;&emsp;deviceId|Long|打印设备
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照打印记录

**请求URL:** print/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照打印记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/print/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 证照打印记录设置

### 查询打印设置信息

**请求URL:** print/setting/info

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询打印设置信息

**请求样例:**
```
  {
        
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;hideList|array|待展示目录
&emsp;showList|array|展示目录
&emsp;printMax|Integer|允许打印最高次数
dict|object|字典对象

**响应消息样例:**
```
{
    "data": {
        "hideList": [],
        "showList": [],
        "printMax": 0
    },
    "code": 1,
    "msg": "打印设置成功",
    "dict": null
}
```

### 保存打印设置信息

**请求URL:** print/setting/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存打印设置信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
printMax|Integer|是|允许打印最高次数
hideList|array|是|隐藏目录id
showList|array|是|显示目录id
**请求样例:**
```
  {
    "hideList": [],
    "showList": [],
    "printMax": 0   
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;hideList|array|待展示目录
&emsp;showList|array|展示目录
&emsp;printMax|Integer|允许打印最高次数
dict|object|字典对象

**响应消息样例:**
```
{
    "data": {
        "hideList": [],
        "showList": [],
        "printMax": 0
    },
    "code": 1,
    "msg": "打印设置成功",
    "dict": null
}
```

### 终端查询待打印文件

**请求URL:** print/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存打印设置信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
idCard|String|是|身份证号码
classifyId|Long|是|分类id
**请求样例:**
```
  {
    "idCard": "12345678",
    "classifyId": 0   
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
dict|object|字典对象

**响应消息样例:**
```
{
    "data": {
        "hideList": [],
        "showList": [],
        "printMax": 0
    },
    "code": 1,
    "msg": "打印设置成功",
    "dict": null
}
```

## 字典附录
