package com.mortals.xhx.module.record.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.ApplyLogVo;
/**
 * 证照申请实体对象
 *
 * @author zxfei
 * @date 2022-10-22
 */

public class ApplyLogEntity extends ApplyLogVo {
    private static final long serialVersionUID = 1L;

    /**
     * 证照目录ID
     */
    private Long catalogId;
    /**
     * 证件编号
     */
    private String certificateCode;
    /**
     * 证件名称
     */
    private String certificateName;
    /**
     * 颁发时间
     */
    private Date issueTime;
    /**
     * 取件人姓名
     */
    private String pickerName;
    /**
     * 取件人证件号码
     */
    private String pickerIDCardNo;
    /**
     * 持有者类型，1：自然人，2：法人，3：自然人法人
     */
    private Integer holderType;
    /**
     * 持有者证件类型，1：身份证，2：组织机构代码等
     */
    private Integer holderIdType;
    /**
     * 持有者名称
     */
    private String holderName;
    /**
     * 持有者证件号码
     */
    private String holderIDCardNo;
    /**
     * 企业名称
     */
    private String enterpriseName;
    /**
     * 有效期起始
     */
    private Date validityStart;
    /**
     * 有效期截止
     */
    private Date validityEnd;
    /**
     * 专网ID
     */
    private String privateID;
    /**
     * 正本附件地址
     */
    private String originalUrl;
    /**
     * 正本预览地址
     */
    private String oriPreview;
    /**
     * 证照模板正本表单内容
     */
    private String oriFormContent;
    /**
     * 证照模板正本表单内容
     */
    private String oriFormTemplate;
    /**
     * 副本附件地址
     */
    private String duplicateUrl;
    /**
     * 副本预览地址
     */
    private String dupPreview;
    /**
     * 证照模板副本表单内容
     */
    private String dupFormContent;
    /**
     * 证照模板副本表单内容
     */
    private String dupFormTemplate;
    /**
     * 生成状态1未生成2正本3副本4正副本
     */
    private Integer generateStatus;



    public ApplyLogEntity(){}
    /**
     * 获取 证照目录ID
     * @return Long
     */
    public Long getCatalogId(){
        return catalogId;
    }
    /**
     * 设置 证照目录ID
     * @param catalogId
     */
    public void setCatalogId(Long catalogId){
        this.catalogId = catalogId;
    }
    /**
     * 获取 证件编号
     * @return String
     */
    public String getCertificateCode(){
        return certificateCode;
    }
    /**
     * 设置 证件编号
     * @param certificateCode
     */
    public void setCertificateCode(String certificateCode){
        this.certificateCode = certificateCode;
    }
    /**
     * 获取 证件名称
     * @return String
     */
    public String getCertificateName(){
        return certificateName;
    }
    /**
     * 设置 证件名称
     * @param certificateName
     */
    public void setCertificateName(String certificateName){
        this.certificateName = certificateName;
    }
    /**
     * 获取 颁发时间
     * @return Date
     */
    public Date getIssueTime(){
        return issueTime;
    }
    /**
     * 设置 颁发时间
     * @param issueTime
     */
    public void setIssueTime(Date issueTime){
        this.issueTime = issueTime;
    }
    /**
     * 获取 取件人姓名
     * @return String
     */
    public String getPickerName(){
        return pickerName;
    }
    /**
     * 设置 取件人姓名
     * @param pickerName
     */
    public void setPickerName(String pickerName){
        this.pickerName = pickerName;
    }
    /**
     * 获取 取件人证件号码
     * @return String
     */
    public String getPickerIDCardNo(){
        return pickerIDCardNo;
    }
    /**
     * 设置 取件人证件号码
     * @param pickerIDCardNo
     */
    public void setPickerIDCardNo(String pickerIDCardNo){
        this.pickerIDCardNo = pickerIDCardNo;
    }
    /**
     * 获取 持有者类型，1：自然人，2：法人，3：自然人法人
     * @return Integer
     */
    public Integer getHolderType(){
        return holderType;
    }
    /**
     * 设置 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderType
     */
    public void setHolderType(Integer holderType){
        this.holderType = holderType;
    }
    /**
     * 获取 持有者证件类型，1：身份证，2：组织机构代码等
     * @return Integer
     */
    public Integer getHolderIdType(){
        return holderIdType;
    }
    /**
     * 设置 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdType
     */
    public void setHolderIdType(Integer holderIdType){
        this.holderIdType = holderIdType;
    }
    /**
     * 获取 持有者名称
     * @return String
     */
    public String getHolderName(){
        return holderName;
    }
    /**
     * 设置 持有者名称
     * @param holderName
     */
    public void setHolderName(String holderName){
        this.holderName = holderName;
    }
    /**
     * 获取 持有者证件号码
     * @return String
     */
    public String getHolderIDCardNo(){
        return holderIDCardNo;
    }
    /**
     * 设置 持有者证件号码
     * @param holderIDCardNo
     */
    public void setHolderIDCardNo(String holderIDCardNo){
        this.holderIDCardNo = holderIDCardNo;
    }
    /**
     * 获取 企业名称
     * @return String
     */
    public String getEnterpriseName(){
        return enterpriseName;
    }
    /**
     * 设置 企业名称
     * @param enterpriseName
     */
    public void setEnterpriseName(String enterpriseName){
        this.enterpriseName = enterpriseName;
    }
    /**
     * 获取 有效期起始
     * @return Date
     */
    public Date getValidityStart(){
        return validityStart;
    }
    /**
     * 设置 有效期起始
     * @param validityStart
     */
    public void setValidityStart(Date validityStart){
        this.validityStart = validityStart;
    }
    /**
     * 获取 有效期截止
     * @return Date
     */
    public Date getValidityEnd(){
        return validityEnd;
    }
    /**
     * 设置 有效期截止
     * @param validityEnd
     */
    public void setValidityEnd(Date validityEnd){
        this.validityEnd = validityEnd;
    }
    /**
     * 获取 专网ID
     * @return String
     */
    public String getPrivateID(){
        return privateID;
    }
    /**
     * 设置 专网ID
     * @param privateID
     */
    public void setPrivateID(String privateID){
        this.privateID = privateID;
    }
    /**
     * 获取 正本附件地址
     * @return String
     */
    public String getOriginalUrl(){
        return originalUrl;
    }
    /**
     * 设置 正本附件地址
     * @param originalUrl
     */
    public void setOriginalUrl(String originalUrl){
        this.originalUrl = originalUrl;
    }
    /**
     * 获取 正本预览地址
     * @return String
     */
    public String getOriPreview(){
        return oriPreview;
    }
    /**
     * 设置 正本预览地址
     * @param oriPreview
     */
    public void setOriPreview(String oriPreview){
        this.oriPreview = oriPreview;
    }
    /**
     * 获取 证照模板正本表单内容
     * @return String
     */
    public String getOriFormContent(){
        return oriFormContent;
    }
    /**
     * 设置 证照模板正本表单内容
     * @param oriFormContent
     */
    public void setOriFormContent(String oriFormContent){
        this.oriFormContent = oriFormContent;
    }
    /**
     * 获取 证照模板正本表单内容
     * @return String
     */
    public String getOriFormTemplate(){
        return oriFormTemplate;
    }
    /**
     * 设置 证照模板正本表单内容
     * @param oriFormTemplate
     */
    public void setOriFormTemplate(String oriFormTemplate){
        this.oriFormTemplate = oriFormTemplate;
    }
    /**
     * 获取 副本附件地址
     * @return String
     */
    public String getDuplicateUrl(){
        return duplicateUrl;
    }
    /**
     * 设置 副本附件地址
     * @param duplicateUrl
     */
    public void setDuplicateUrl(String duplicateUrl){
        this.duplicateUrl = duplicateUrl;
    }
    /**
     * 获取 副本预览地址
     * @return String
     */
    public String getDupPreview(){
        return dupPreview;
    }
    /**
     * 设置 副本预览地址
     * @param dupPreview
     */
    public void setDupPreview(String dupPreview){
        this.dupPreview = dupPreview;
    }
    /**
     * 获取 证照模板副本表单内容
     * @return String
     */
    public String getDupFormContent(){
        return dupFormContent;
    }
    /**
     * 设置 证照模板副本表单内容
     * @param dupFormContent
     */
    public void setDupFormContent(String dupFormContent){
        this.dupFormContent = dupFormContent;
    }
    /**
     * 获取 证照模板副本表单内容
     * @return String
     */
    public String getDupFormTemplate(){
        return dupFormTemplate;
    }
    /**
     * 设置 证照模板副本表单内容
     * @param dupFormTemplate
     */
    public void setDupFormTemplate(String dupFormTemplate){
        this.dupFormTemplate = dupFormTemplate;
    }
    /**
     * 获取 生成状态1未生成2正本3副本4正副本
     * @return Integer
     */
    public Integer getGenerateStatus(){
        return generateStatus;
    }
    /**
     * 设置 生成状态1未生成2正本3副本4正副本
     * @param generateStatus
     */
    public void setGenerateStatus(Integer generateStatus){
        this.generateStatus = generateStatus;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ApplyLogEntity) {
            ApplyLogEntity tmp = (ApplyLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",catalogId:").append(getCatalogId());
        sb.append(",certificateCode:").append(getCertificateCode());
        sb.append(",certificateName:").append(getCertificateName());
        sb.append(",issueTime:").append(getIssueTime());
        sb.append(",pickerName:").append(getPickerName());
        sb.append(",pickerIDCardNo:").append(getPickerIDCardNo());
        sb.append(",holderType:").append(getHolderType());
        sb.append(",holderIdType:").append(getHolderIdType());
        sb.append(",holderName:").append(getHolderName());
        sb.append(",holderIDCardNo:").append(getHolderIDCardNo());
        sb.append(",enterpriseName:").append(getEnterpriseName());
        sb.append(",validityStart:").append(getValidityStart());
        sb.append(",validityEnd:").append(getValidityEnd());
        sb.append(",privateID:").append(getPrivateID());
        sb.append(",originalUrl:").append(getOriginalUrl());
        sb.append(",oriPreview:").append(getOriPreview());
        sb.append(",oriFormContent:").append(getOriFormContent());
        sb.append(",oriFormTemplate:").append(getOriFormTemplate());
        sb.append(",duplicateUrl:").append(getDuplicateUrl());
        sb.append(",dupPreview:").append(getDupPreview());
        sb.append(",dupFormContent:").append(getDupFormContent());
        sb.append(",dupFormTemplate:").append(getDupFormTemplate());
        sb.append(",generateStatus:").append(getGenerateStatus());
        return sb.toString();
    }

    public void initAttrValue(){

        this.catalogId = null;

        this.certificateCode = "";

        this.certificateName = "";

        this.issueTime = null;

        this.pickerName = "";

        this.pickerIDCardNo = "";

        this.holderType = 1;

        this.holderIdType = 1;

        this.holderName = "";

        this.holderIDCardNo = "";

        this.enterpriseName = "";

        this.validityStart = null;

        this.validityEnd = null;

        this.privateID = "";

        this.originalUrl = "";

        this.oriPreview = "";

        this.oriFormContent = "";

        this.oriFormTemplate = "";

        this.duplicateUrl = "";

        this.dupPreview = "";

        this.dupFormContent = "";

        this.dupFormTemplate = "";

        this.generateStatus = 1;
    }
}