package com.mortals.xhx.module.record.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.PrintLogVo;
/**
* 证照打印记录实体对象
*
* @author zxfei
* @date 2022-10-22
*/

public class PrintLogEntity extends PrintLogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 证照目录编号
    */
    private String catalogCode;
    /**
    * 证照名称
    */
    private String certificateName;
    /**
    * 证照编号
    */
    private String certificateCode;
    /**
    * 企业名称
    */
    private String enterpriseName;
    /**
    * 持有者姓名
    */
    private String holderName;
    /**
    * 持有者证件号码
    */
    private String holderIDCardNo;
    /**
    * 取件人姓名
    */
    private String pickerName;
    /**
    * 取件人证件号码
    */
    private String pickerIDCardNo;
    /**
    * 正本数
    */
    private Integer originalCount;
    /**
    * 副本数
    */
    private Integer duplicateCount;
    /**
    * 打印状态1打印成功2失败
    */
    private Integer printStatus;
    /**
    * 打印时间
    */
    private Date printDate;
    /**
    * 打印设备
    */
    private Long deviceId;
    /**
    * 证照目录ID
    */
    private Long catalogId;



    public PrintLogEntity(){}
    /**
    * 获取 证照目录编号
    * @return String
    */
    public String getCatalogCode(){
        return catalogCode;
    }
    /**
    * 设置 证照目录编号
    * @param catalogCode
    */
    public void setCatalogCode(String catalogCode){
        this.catalogCode = catalogCode;
    }
    /**
    * 获取 证照名称
    * @return String
    */
    public String getCertificateName(){
        return certificateName;
    }
    /**
    * 设置 证照名称
    * @param certificateName
    */
    public void setCertificateName(String certificateName){
        this.certificateName = certificateName;
    }
    /**
    * 获取 证照编号
    * @return String
    */
    public String getCertificateCode(){
        return certificateCode;
    }
    /**
    * 设置 证照编号
    * @param certificateCode
    */
    public void setCertificateCode(String certificateCode){
        this.certificateCode = certificateCode;
    }
    /**
    * 获取 企业名称
    * @return String
    */
    public String getEnterpriseName(){
        return enterpriseName;
    }
    /**
    * 设置 企业名称
    * @param enterpriseName
    */
    public void setEnterpriseName(String enterpriseName){
        this.enterpriseName = enterpriseName;
    }
    /**
    * 获取 持有者姓名
    * @return String
    */
    public String getHolderName(){
        return holderName;
    }
    /**
    * 设置 持有者姓名
    * @param holderName
    */
    public void setHolderName(String holderName){
        this.holderName = holderName;
    }
    /**
    * 获取 持有者证件号码
    * @return String
    */
    public String getHolderIDCardNo(){
        return holderIDCardNo;
    }
    /**
    * 设置 持有者证件号码
    * @param holderIDCardNo
    */
    public void setHolderIDCardNo(String holderIDCardNo){
        this.holderIDCardNo = holderIDCardNo;
    }
    /**
    * 获取 取件人姓名
    * @return String
    */
    public String getPickerName(){
        return pickerName;
    }
    /**
    * 设置 取件人姓名
    * @param pickerName
    */
    public void setPickerName(String pickerName){
        this.pickerName = pickerName;
    }
    /**
    * 获取 取件人证件号码
    * @return String
    */
    public String getPickerIDCardNo(){
        return pickerIDCardNo;
    }
    /**
    * 设置 取件人证件号码
    * @param pickerIDCardNo
    */
    public void setPickerIDCardNo(String pickerIDCardNo){
        this.pickerIDCardNo = pickerIDCardNo;
    }
    /**
    * 获取 正本数
    * @return Integer
    */
    public Integer getOriginalCount(){
        return originalCount;
    }
    /**
    * 设置 正本数
    * @param originalCount
    */
    public void setOriginalCount(Integer originalCount){
        this.originalCount = originalCount;
    }
    /**
    * 获取 副本数
    * @return Integer
    */
    public Integer getDuplicateCount(){
        return duplicateCount;
    }
    /**
    * 设置 副本数
    * @param duplicateCount
    */
    public void setDuplicateCount(Integer duplicateCount){
        this.duplicateCount = duplicateCount;
    }
    /**
    * 获取 打印状态1打印成功2失败
    * @return Integer
    */
    public Integer getPrintStatus(){
        return printStatus;
    }
    /**
    * 设置 打印状态1打印成功2失败
    * @param printStatus
    */
    public void setPrintStatus(Integer printStatus){
        this.printStatus = printStatus;
    }
    /**
    * 获取 打印时间
    * @return Date
    */
    public Date getPrintDate(){
        return printDate;
    }
    /**
    * 设置 打印时间
    * @param printDate
    */
    public void setPrintDate(Date printDate){
        this.printDate = printDate;
    }
    /**
    * 获取 打印设备
    * @return Long
    */
    public Long getDeviceId(){
        return deviceId;
    }
    /**
    * 设置 打印设备
    * @param deviceId
    */
    public void setDeviceId(Long deviceId){
        this.deviceId = deviceId;
    }
    /**
    * 获取 证照目录ID
    * @return Long
    */
    public Long getCatalogId(){
        return catalogId;
    }
    /**
    * 设置 证照目录ID
    * @param catalogId
    */
    public void setCatalogId(Long catalogId){
        this.catalogId = catalogId;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PrintLogEntity) {
            PrintLogEntity tmp = (PrintLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",catalogCode:").append(getCatalogCode());
        sb.append(",certificateName:").append(getCertificateName());
        sb.append(",certificateCode:").append(getCertificateCode());
        sb.append(",enterpriseName:").append(getEnterpriseName());
        sb.append(",holderName:").append(getHolderName());
        sb.append(",holderIDCardNo:").append(getHolderIDCardNo());
        sb.append(",pickerName:").append(getPickerName());
        sb.append(",pickerIDCardNo:").append(getPickerIDCardNo());
        sb.append(",originalCount:").append(getOriginalCount());
        sb.append(",duplicateCount:").append(getDuplicateCount());
        sb.append(",printStatus:").append(getPrintStatus());
        sb.append(",printDate:").append(getPrintDate());
        sb.append(",deviceId:").append(getDeviceId());
        sb.append(",catalogId:").append(getCatalogId());
        return sb.toString();
    }

    public void initAttrValue(){

            this.catalogCode = "";

            this.certificateName = "";

            this.certificateCode = "";

            this.enterpriseName = "";

            this.holderName = "";

            this.holderIDCardNo = "";

            this.pickerName = "";

            this.pickerIDCardNo = "";

            this.originalCount = 0;

            this.duplicateCount = 0;

            this.printStatus = 1;

            this.printDate = null;

            this.deviceId = null;

            this.catalogId = null;
    }
}